diff -Nru a/drivers/acpi/namespace/nsdump.c b/drivers/acpi/namespace/nsdump.c
--- a/drivers/acpi/namespace/nsdump.c	2004-11-10 23:41:02 -05:00
+++ b/drivers/acpi/namespace/nsdump.c	2004-11-10 23:41:02 -05:00
@@ -198,7 +198,8 @@
 	}
 
 	if (!acpi_ut_valid_acpi_name (this_node->name.integer)) {
-		ACPI_REPORT_WARNING (("Invalid ACPI Name %08X\n", this_node->name.integer));
+		ACPI_REPORT_WARNING (("Invalid ACPI Name %08X\n",
+			this_node->name.integer));
 	}
 
 	/*
@@ -226,9 +227,8 @@
 		case ACPI_TYPE_PROCESSOR:
 
 			acpi_os_printf ("ID %X Len %.4X Addr %p\n",
-					 obj_desc->processor.proc_id,
-					 obj_desc->processor.length,
-					 (char *) obj_desc->processor.address);
+				obj_desc->processor.proc_id, obj_desc->processor.length,
+				(char *) obj_desc->processor.address);
 			break;
 
 
@@ -241,16 +241,15 @@
 		case ACPI_TYPE_METHOD:
 
 			acpi_os_printf ("Args %X Len %.4X Aml %p\n",
-					 (u32) obj_desc->method.param_count,
-					 obj_desc->method.aml_length,
-					 obj_desc->method.aml_start);
+				(u32) obj_desc->method.param_count,
+				obj_desc->method.aml_length, obj_desc->method.aml_start);
 			break;
 
 
 		case ACPI_TYPE_INTEGER:
 
 			acpi_os_printf ("= %8.8X%8.8X\n",
-					 ACPI_FORMAT_UINT64 (obj_desc->integer.value));
+				ACPI_FORMAT_UINT64 (obj_desc->integer.value));
 			break;
 
 
@@ -258,7 +257,7 @@
 
 			if (obj_desc->common.flags & AOPOBJ_DATA_VALID) {
 				acpi_os_printf ("Elements %.2X\n",
-						 obj_desc->package.count);
+					obj_desc->package.count);
 			}
 			else {
 				acpi_os_printf ("[Length not yet evaluated]\n");
@@ -298,11 +297,12 @@
 
 		case ACPI_TYPE_REGION:
 
-			acpi_os_printf ("[%s]", acpi_ut_get_region_name (obj_desc->region.space_id));
+			acpi_os_printf ("[%s]",
+				acpi_ut_get_region_name (obj_desc->region.space_id));
 			if (obj_desc->region.flags & AOPOBJ_DATA_VALID) {
 				acpi_os_printf (" Addr %8.8X%8.8X Len %.4X\n",
-						 ACPI_FORMAT_UINT64 (obj_desc->region.address),
-						 obj_desc->region.length);
+					ACPI_FORMAT_UINT64 (obj_desc->region.address),
+					obj_desc->region.length);
 			}
 			else {
 				acpi_os_printf (" [Address/Length not yet evaluated]\n");
@@ -313,7 +313,7 @@
 		case ACPI_TYPE_LOCAL_REFERENCE:
 
 			acpi_os_printf ("[%s]\n",
-					acpi_ps_get_opcode_name (obj_desc->reference.opcode));
+				acpi_ps_get_opcode_name (obj_desc->reference.opcode));
 			break;
 
 
@@ -322,7 +322,7 @@
 			if (obj_desc->buffer_field.buffer_obj &&
 				obj_desc->buffer_field.buffer_obj->buffer.node) {
 				acpi_os_printf ("Buf [%4.4s]",
-						acpi_ut_get_node_name (obj_desc->buffer_field.buffer_obj->buffer.node));
+					acpi_ut_get_node_name (obj_desc->buffer_field.buffer_obj->buffer.node));
 			}
 			break;
 
@@ -330,30 +330,31 @@
 		case ACPI_TYPE_LOCAL_REGION_FIELD:
 
 			acpi_os_printf ("Rgn [%4.4s]",
-					acpi_ut_get_node_name (obj_desc->common_field.region_obj->region.node));
+				acpi_ut_get_node_name (obj_desc->common_field.region_obj->region.node));
 			break;
 
 
 		case ACPI_TYPE_LOCAL_BANK_FIELD:
 
 			acpi_os_printf ("Rgn [%4.4s] Bnk [%4.4s]",
-					acpi_ut_get_node_name (obj_desc->common_field.region_obj->region.node),
-					acpi_ut_get_node_name (obj_desc->bank_field.bank_obj->common_field.node));
+				acpi_ut_get_node_name (obj_desc->common_field.region_obj->region.node),
+				acpi_ut_get_node_name (obj_desc->bank_field.bank_obj->common_field.node));
 			break;
 
 
 		case ACPI_TYPE_LOCAL_INDEX_FIELD:
 
 			acpi_os_printf ("Idx [%4.4s] Dat [%4.4s]",
-					acpi_ut_get_node_name (obj_desc->index_field.index_obj->common_field.node),
-					acpi_ut_get_node_name (obj_desc->index_field.data_obj->common_field.node));
+				acpi_ut_get_node_name (obj_desc->index_field.index_obj->common_field.node),
+				acpi_ut_get_node_name (obj_desc->index_field.data_obj->common_field.node));
 			break;
 
 
 		case ACPI_TYPE_LOCAL_ALIAS:
 		case ACPI_TYPE_LOCAL_METHOD_ALIAS:
 
-			acpi_os_printf ("Target %4.4s (%p)\n", acpi_ut_get_node_name (obj_desc), obj_desc);
+			acpi_os_printf ("Target %4.4s (%p)\n",
+				acpi_ut_get_node_name (obj_desc), obj_desc);
 			break;
 
 		default:
@@ -371,10 +372,10 @@
 		case ACPI_TYPE_LOCAL_INDEX_FIELD:
 
 			acpi_os_printf (" Off %.3X Len %.2X Acc %.2hd\n",
-					(obj_desc->common_field.base_byte_offset * 8)
-						+ obj_desc->common_field.start_field_bit_offset,
-					obj_desc->common_field.bit_length,
-					obj_desc->common_field.access_byte_width);
+				(obj_desc->common_field.base_byte_offset * 8)
+					+ obj_desc->common_field.start_field_bit_offset,
+				obj_desc->common_field.bit_length,
+				obj_desc->common_field.access_byte_width);
 			break;
 
 		default:
@@ -471,12 +472,13 @@
 			obj_type = ACPI_GET_OBJECT_TYPE (obj_desc);
 
 			if (obj_type > ACPI_TYPE_LOCAL_MAX) {
-				acpi_os_printf ("(Ptr to ACPI Object type %X [UNKNOWN])\n", obj_type);
+				acpi_os_printf ("(Ptr to ACPI Object type %X [UNKNOWN])\n",
+					obj_type);
 				bytes_to_dump = 32;
 			}
 			else {
 				acpi_os_printf ("(Ptr to ACPI Object type %s, %X)\n",
-						   acpi_ut_get_type_name (obj_type), obj_type);
+					acpi_ut_get_type_name (obj_type), obj_type);
 				bytes_to_dump = sizeof (union acpi_operand_object);
 			}
 			break;
@@ -484,8 +486,9 @@
 
 		default:
 
-			acpi_os_printf ("(String or Buffer ptr - not an object descriptor) [%s]\n",
-					acpi_ut_get_descriptor_name (obj_desc));
+			acpi_os_printf (
+				"(String or Buffer ptr - not an object descriptor) [%s]\n",
+				acpi_ut_get_descriptor_name (obj_desc));
 			bytes_to_dump = 16;
 			break;
 		}
@@ -552,7 +555,7 @@
  * FUNCTION:    acpi_ns_dump_objects
  *
  * PARAMETERS:  Type                - Object type to be dumped
- *              max_depth           - Maximum depth of dump.  Use ACPI_UINT32_MAX
+ *              max_depth           - Maximum depth of dump. Use ACPI_UINT32_MAX
  *                                    for an effectively unlimited depth.
  *              owner_id            - Dump only objects owned by this ID.  Use
  *                                    ACPI_UINT32_MAX to match all owners.
diff -Nru a/drivers/acpi/namespace/nsdumpdv.c b/drivers/acpi/namespace/nsdumpdv.c
--- a/drivers/acpi/namespace/nsdumpdv.c	2004-11-10 23:41:02 -05:00
+++ b/drivers/acpi/namespace/nsdumpdv.c	2004-11-10 23:41:02 -05:00
@@ -91,10 +91,10 @@
 			ACPI_DEBUG_PRINT_RAW ((ACPI_DB_TABLES, " "));
 		}
 
-		ACPI_DEBUG_PRINT_RAW ((ACPI_DB_TABLES, "    HID: %s, ADR: %8.8X%8.8X, Status: %X\n",
-				  info->hardware_id.value,
-				  ACPI_FORMAT_UINT64 (info->address),
-				  info->current_status));
+		ACPI_DEBUG_PRINT_RAW ((ACPI_DB_TABLES,
+			"    HID: %s, ADR: %8.8X%8.8X, Status: %X\n",
+			info->hardware_id.value, ACPI_FORMAT_UINT64 (info->address),
+			info->current_status));
 		ACPI_MEM_FREE (info);
 	}
 
@@ -133,7 +133,8 @@
 		return;
 	}
 
-	ACPI_DEBUG_PRINT ((ACPI_DB_TABLES, "Display of all devices in the namespace:\n"));
+	ACPI_DEBUG_PRINT ((ACPI_DB_TABLES,
+		"Display of all devices in the namespace:\n"));
 
 	status = acpi_ns_walk_namespace (ACPI_TYPE_DEVICE, sys_bus_handle,
 			 ACPI_UINT32_MAX, ACPI_NS_WALK_NO_UNLOCK,
diff -Nru a/drivers/acpi/namespace/nseval.c b/drivers/acpi/namespace/nseval.c
--- a/drivers/acpi/namespace/nseval.c	2004-11-10 23:41:02 -05:00
+++ b/drivers/acpi/namespace/nseval.c	2004-11-10 23:41:02 -05:00
@@ -57,14 +57,9 @@
  *
  * FUNCTION:    acpi_ns_evaluate_relative
  *
- * PARAMETERS:  Handle              - The relative containing object
- *              Pathname            - Name of method to execute, If NULL, the
+ * PARAMETERS:  Pathname            - Name of method to execute, If NULL, the
  *                                    handle is the object to execute
- *              Params              - List of parameters to pass to the method,
- *                                    terminated by NULL.  Params itself may be
- *                                    NULL if no parameters are being passed.
- *              return_object       - Where to put method's return value (if
- *                                    any).  If NULL, no value is returned.
+ *              Info                - Method info block
  *
  * RETURN:      Status
  *
@@ -138,8 +133,7 @@
 	}
 
 	/*
-	 * Now that we have a handle to the object, we can attempt
-	 * to evaluate it.
+	 * Now that we have a handle to the object, we can attempt to evaluate it.
 	 */
 	ACPI_DEBUG_PRINT ((ACPI_DB_NAMES, "%s [%p] Value %p\n",
 		pathname, node, acpi_ns_get_attached_object (node)));
@@ -165,9 +159,9 @@
  *
  * PARAMETERS:  Pathname            - Fully qualified pathname to the object
  *              Info                - Contains:
- *              return_object       - Where to put method's return value (if
+ *                  return_object   - Where to put method's return value (if
  *                                    any).  If NULL, no value is returned.
- *              Params              - List of parameters to pass to the method,
+ *                  Params          - List of parameters to pass to the method,
  *                                    terminated by NULL.  Params itself may be
  *                                    NULL if no parameters are being passed.
  *
@@ -213,14 +207,14 @@
 	(void) acpi_ut_release_mutex (ACPI_MTX_NAMESPACE);
 
 	if (ACPI_FAILURE (status)) {
-		ACPI_DEBUG_PRINT ((ACPI_DB_NAMES, "Object at [%s] was not found, status=%.4X\n",
+		ACPI_DEBUG_PRINT ((ACPI_DB_NAMES,
+			"Object at [%s] was not found, status=%.4X\n",
 			pathname, status));
 		goto cleanup;
 	}
 
 	/*
-	 * Now that we have a handle to the object, we can attempt
-	 * to evaluate it.
+	 * Now that we have a handle to the object, we can attempt to evaluate it.
 	 */
 	ACPI_DEBUG_PRINT ((ACPI_DB_NAMES, "%s [%p] Value %p\n",
 		pathname, info->node, acpi_ns_get_attached_object (info->node)));
@@ -303,9 +297,8 @@
 	}
 
 	/*
-	 * For a method alias, we must grab the actual method node
-	 * so that proper scoping context will be established
-	 * before execution.
+	 * For a method alias, we must grab the actual method node so that proper
+	 * scoping context will be established before execution.
 	 */
 	if (acpi_ns_get_type (info->node) == ACPI_TYPE_LOCAL_METHOD_ALIAS) {
 		info->node = ACPI_CAST_PTR (struct acpi_namespace_node, info->node->object);
@@ -314,11 +307,9 @@
 	/*
 	 * Two major cases here:
 	 * 1) The object is an actual control method -- execute it.
-	 * 2) The object is not a method -- just return it's current
-	 *      value
+	 * 2) The object is not a method -- just return it's current value
 	 *
-	 * In both cases, the namespace is unlocked by the
-	 *  acpi_ns* procedure
+	 * In both cases, the namespace is unlocked by the acpi_ns* procedure
 	 */
 	if (acpi_ns_get_type (info->node) == ACPI_TYPE_METHOD) {
 		/*
@@ -328,15 +319,13 @@
 	}
 	else {
 		/*
-		 * Case 2) Object is NOT a method, just return its
-		 * current value
+		 * Case 2) Object is NOT a method, just return its current value
 		 */
 		status = acpi_ns_get_object_value (info);
 	}
 
 	/*
-	 * Check if there is a return value on the stack that must
-	 * be dealt with
+	 * Check if there is a return value on the stack that must be dealt with
 	 */
 	if (status == AE_CTRL_RETURN_VALUE) {
 		/* Map AE_CTRL_RETURN_VALUE to AE_OK, we are done with it */
@@ -345,8 +334,8 @@
 	}
 
 	/*
-	 * Namespace was unlocked by the handling acpi_ns* function,
-	 * so we just return
+	 * Namespace was unlocked by the handling acpi_ns* function, so we
+	 * just return
 	 */
 	return_ACPI_STATUS (status);
 }
@@ -356,12 +345,7 @@
  *
  * FUNCTION:    acpi_ns_execute_control_method
  *
- * PARAMETERS:  method_node         - The method to execute
- *              Params              - List of parameters to pass to the method,
- *                                    terminated by NULL.  Params itself may be
- *                                    NULL if no parameters are being passed.
- *              return_obj_desc     - List of result objects to be returned
- *                                    from the method.
+ * PARAMETERS:  Info            - Method info block (w/params)
  *
  * RETURN:      Status
  *
@@ -430,8 +414,7 @@
  *
  * FUNCTION:    acpi_ns_get_object_value
  *
- * PARAMETERS:  Node                - The object
- *              return_obj_desc     - Where the objects value is returned
+ * PARAMETERS:  Info            - Method info block (w/params)
  *
  * RETURN:      Status
  *
@@ -453,28 +436,25 @@
 
 
 	/*
-	 * Objects require additional resolution steps (e.g., the
-	 * Node may be a field that must be read, etc.) -- we can't just grab
-	 * the object out of the node.
+	 * Objects require additional resolution steps (e.g., the Node may be a
+	 * field that must be read, etc.) -- we can't just grab the object out of
+	 * the node.
 	 */
 
 	/*
-	 * Use resolve_node_to_value() to get the associated value. This call
-	 * always deletes obj_desc (allocated above).
+	 * Use resolve_node_to_value() to get the associated value. This call always
+	 * deletes obj_desc (allocated above).
 	 *
-	 * NOTE: we can get away with passing in NULL for a walk state
-	 * because obj_desc is guaranteed to not be a reference to either
-	 * a method local or a method argument (because this interface can only be
-	 * called from the acpi_evaluate external interface, never called from
-	 * a running control method.)
+	 * NOTE: we can get away with passing in NULL for a walk state because
+	 * obj_desc is guaranteed to not be a reference to either a method local or
+	 * a method argument (because this interface can only be called from the
+	 * acpi_evaluate external interface, never called from a running method.)
 	 *
-	 * Even though we do not directly invoke the interpreter
-	 * for this, we must enter it because we could access an opregion.
-	 * The opregion access code assumes that the interpreter
-	 * is locked.
+	 * Even though we do not directly invoke the interpreter for this, we must
+	 * enter it because we could access an opregion. The opregion access code
+	 * assumes that the interpreter is locked.
 	 *
-	 * We must release the namespace lock before entering the
-	 * intepreter.
+	 * We must release the namespace lock before entering the intepreter.
 	 */
 	status = acpi_ut_release_mutex (ACPI_MTX_NAMESPACE);
 	if (ACPI_FAILURE (status)) {
@@ -485,16 +465,18 @@
 	if (ACPI_SUCCESS (status)) {
 		status = acpi_ex_resolve_node_to_value (&resolved_node, NULL);
 		/*
-		 * If acpi_ex_resolve_node_to_value() succeeded, the return value was
-		 * placed in resolved_node.
+		 * If acpi_ex_resolve_node_to_value() succeeded, the return value was placed
+		 * in resolved_node.
 		 */
 		acpi_ex_exit_interpreter ();
 
 		if (ACPI_SUCCESS (status)) {
 			status = AE_CTRL_RETURN_VALUE;
-			info->return_object = ACPI_CAST_PTR (union acpi_operand_object, resolved_node);
+			info->return_object = ACPI_CAST_PTR
+					 (union acpi_operand_object, resolved_node);
 			ACPI_DEBUG_PRINT ((ACPI_DB_NAMES, "Returning object %p [%s]\n",
-				info->return_object, acpi_ut_get_object_type_name (info->return_object)));
+				info->return_object,
+				acpi_ut_get_object_type_name (info->return_object)));
 		}
 	}
 
diff -Nru a/drivers/acpi/namespace/nsinit.c b/drivers/acpi/namespace/nsinit.c
--- a/drivers/acpi/namespace/nsinit.c	2004-11-10 23:41:02 -05:00
+++ b/drivers/acpi/namespace/nsinit.c	2004-11-10 23:41:02 -05:00
@@ -77,7 +77,8 @@
 
 	ACPI_DEBUG_PRINT ((ACPI_DB_DISPATCH,
 		"**** Starting initialization of namespace objects ****\n"));
-	ACPI_DEBUG_PRINT_RAW ((ACPI_DB_INIT, "Completing Region/Field/Buffer/Package initialization:"));
+	ACPI_DEBUG_PRINT_RAW ((ACPI_DB_INIT,
+		"Completing Region/Field/Buffer/Package initialization:"));
 
 	/* Set all init info to zero */
 
@@ -142,7 +143,8 @@
 	info.num_STA = 0;
 	info.num_INI = 0;
 
-	ACPI_DEBUG_PRINT_RAW ((ACPI_DB_INIT, "Executing all Device _STA and_INI methods:"));
+	ACPI_DEBUG_PRINT_RAW ((ACPI_DB_INIT,
+		"Executing all Device _STA and_INI methods:"));
 
 	status = acpi_ut_acquire_mutex (ACPI_MTX_NAMESPACE);
 	if (ACPI_FAILURE (status)) {
@@ -257,8 +259,8 @@
 	}
 
 	/*
-	 * Each of these types can contain executable AML code within
-	 * the declaration.
+	 * Each of these types can contain executable AML code within the
+	 * declaration.
 	 */
 	switch (type) {
 	case ACPI_TYPE_REGION:
@@ -267,21 +269,18 @@
 		status = acpi_ds_get_region_arguments (obj_desc);
 		break;
 
-
 	case ACPI_TYPE_BUFFER_FIELD:
 
 		info->field_init++;
 		status = acpi_ds_get_buffer_field_arguments (obj_desc);
 		break;
 
-
 	case ACPI_TYPE_BUFFER:
 
 		info->buffer_init++;
 		status = acpi_ds_get_buffer_arguments (obj_desc);
 		break;
 
-
 	case ACPI_TYPE_PACKAGE:
 
 		info->package_init++;
@@ -301,15 +300,17 @@
 				acpi_format_exception (status)));
 	}
 
-	/* Print a dot for each object unless we are going to print the entire pathname */
-
+	/*
+	 * Print a dot for each object unless we are going to print the entire
+	 * pathname
+	 */
 	if (!(acpi_dbg_level & ACPI_LV_INIT_NAMES)) {
 		ACPI_DEBUG_PRINT_RAW ((ACPI_DB_INIT, "."));
 	}
 
 	/*
-	 * We ignore errors from above, and always return OK, since
-	 * we don't want to abort the walk on any single error.
+	 * We ignore errors from above, and always return OK, since we don't want
+	 * to abort the walk on any single error.
 	 */
 	acpi_ex_exit_interpreter ();
 	return (AE_OK);
@@ -363,7 +364,8 @@
 		return_ACPI_STATUS (AE_OK);
 	}
 
-	if ((acpi_dbg_level <= ACPI_LV_ALL_EXCEPTIONS) && (!(acpi_dbg_level & ACPI_LV_INFO))) {
+	if ((acpi_dbg_level <= ACPI_LV_ALL_EXCEPTIONS) &&
+		(!(acpi_dbg_level & ACPI_LV_INFO))) {
 		ACPI_DEBUG_PRINT_RAW ((ACPI_DB_INIT, "."));
 	}
 
@@ -428,7 +430,6 @@
 
 		status = acpi_gbl_init_handler (pinfo.node, ACPI_INIT_DEVICE_INI);
 	}
-
 
 	return_ACPI_STATUS (status);
 }
diff -Nru a/drivers/acpi/namespace/nsload.c b/drivers/acpi/namespace/nsload.c
--- a/drivers/acpi/namespace/nsload.c	2004-11-10 23:41:02 -05:00
+++ b/drivers/acpi/namespace/nsload.c	2004-11-10 23:41:02 -05:00
@@ -92,12 +92,14 @@
 		return_ACPI_STATUS (AE_BAD_PARAMETER);
 	}
 
-	ACPI_DEBUG_PRINT ((ACPI_DB_INFO, "AML block at %p\n", table_desc->aml_start));
+	ACPI_DEBUG_PRINT ((ACPI_DB_INFO, "AML block at %p\n",
+		table_desc->aml_start));
 
 	/* Ignore table if there is no AML contained within */
 
 	if (!table_desc->aml_length) {
-		ACPI_REPORT_WARNING (("Zero-length AML block in table [%4.4s]\n", table_desc->pointer->signature));
+		ACPI_REPORT_WARNING (("Zero-length AML block in table [%4.4s]\n",
+			table_desc->pointer->signature));
 		return_ACPI_STATUS (AE_OK);
 	}
 
@@ -110,7 +112,8 @@
 	 * to another control method, we can't continue parsing
 	 * because we don't know how many arguments to parse next!
 	 */
-	ACPI_DEBUG_PRINT ((ACPI_DB_INFO, "**** Loading table into namespace ****\n"));
+	ACPI_DEBUG_PRINT ((ACPI_DB_INFO,
+		"**** Loading table into namespace ****\n"));
 
 	status = acpi_ut_acquire_mutex (ACPI_MTX_NAMESPACE);
 	if (ACPI_FAILURE (status)) {
@@ -196,7 +199,6 @@
 		if (ACPI_SUCCESS (status)) {
 			table_desc->loaded_into_namespace = TRUE;
 		}
-
 		break;
 
 
@@ -252,7 +254,6 @@
 
 			table_desc = table_desc->next;
 		}
-
 		break;
 
 
diff -Nru a/drivers/acpi/namespace/nsnames.c b/drivers/acpi/namespace/nsnames.c
--- a/drivers/acpi/namespace/nsnames.c	2004-11-10 23:41:02 -05:00
+++ b/drivers/acpi/namespace/nsnames.c	2004-11-10 23:41:02 -05:00
@@ -202,7 +202,11 @@
 		next_node = acpi_ns_get_parent_node (next_node);
 	}
 
-	return (size + 1);
+	if (!size) {
+		size = 1;       /* Root node case */
+	}
+
+	return (size + 1);  /* +1 for null string terminator */
 }
 
 
@@ -253,7 +257,8 @@
 
 	acpi_ns_build_external_path (node, required_size, buffer->pointer);
 
-	ACPI_DEBUG_PRINT ((ACPI_DB_EXEC, "%s [%X] \n", (char *) buffer->pointer, (u32) required_size));
+	ACPI_DEBUG_PRINT ((ACPI_DB_EXEC, "%s [%X] \n",
+		(char *) buffer->pointer, (u32) required_size));
 	return_ACPI_STATUS (AE_OK);
 }
 
diff -Nru a/drivers/acpi/namespace/nssearch.c b/drivers/acpi/namespace/nssearch.c
--- a/drivers/acpi/namespace/nssearch.c	2004-11-10 23:41:02 -05:00
+++ b/drivers/acpi/namespace/nssearch.c	2004-11-10 23:41:02 -05:00
@@ -96,8 +96,10 @@
 
 		scope_name = acpi_ns_get_external_pathname (node);
 		if (scope_name) {
-			ACPI_DEBUG_PRINT ((ACPI_DB_NAMES, "Searching %s (%p) For [%4.4s] (%s)\n",
-				scope_name, node, (char *) &target_name, acpi_ut_get_type_name (type)));
+			ACPI_DEBUG_PRINT ((ACPI_DB_NAMES,
+				"Searching %s (%p) For [%4.4s] (%s)\n",
+				scope_name, node, (char *) &target_name,
+				acpi_ut_get_type_name (type)));
 
 			ACPI_MEM_FREE (scope_name);
 		}
@@ -164,7 +166,7 @@
  * PARAMETERS:  *target_name        - Ascii ACPI name to search for
  *              *Node               - Starting node where search will begin
  *              Type                - Object type to match
- *              **return_node       - Where the matched Named Obj is returned
+ *              **return_node       - Where the matched Node is returned
  *
  * RETURN:      Status
  *
@@ -199,13 +201,13 @@
 	parent_node = acpi_ns_get_parent_node (node);
 
 	/*
-	 * If there is no parent (i.e., we are at the root) or
-	 * type is "local", we won't be searching the parent tree.
+	 * If there is no parent (i.e., we are at the root) or type is "local",
+	 * we won't be searching the parent tree.
 	 */
 	if (!parent_node) {
 		ACPI_DEBUG_PRINT ((ACPI_DB_NAMES, "[%4.4s] has no parent\n",
 			(char *) &target_name));
-		 return_ACPI_STATUS (AE_NOT_FOUND);
+		return_ACPI_STATUS (AE_NOT_FOUND);
 	}
 
 	if (acpi_ns_local (type)) {
@@ -217,11 +219,12 @@
 
 	/* Search the parent tree */
 
-	ACPI_DEBUG_PRINT ((ACPI_DB_NAMES, "Searching parent for %4.4s\n", (char *) &target_name));
+	ACPI_DEBUG_PRINT ((ACPI_DB_NAMES,
+		"Searching parent [%4.4s] for [%4.4s]\n",
+		acpi_ut_get_node_name (parent_node), (char *) &target_name));
 
 	/*
-	 * Search parents until found the target or we have backed up to
-	 * the root
+	 * Search parents until target is found or we have backed up to the root
 	 */
 	while (parent_node) {
 		/*
@@ -230,7 +233,7 @@
 		 * the actual name we are searching for.  Typechecking comes later.
 		 */
 		status = acpi_ns_search_node (target_name, parent_node,
-				   ACPI_TYPE_ANY, return_node);
+				  ACPI_TYPE_ANY, return_node);
 		if (ACPI_SUCCESS (status)) {
 			return_ACPI_STATUS (status);
 		}
@@ -293,7 +296,8 @@
 	/* Parameter validation */
 
 	if (!node || !target_name || !return_node) {
-		ACPI_DEBUG_PRINT ((ACPI_DB_ERROR, "Null param: Node %p Name %X return_node %p\n",
+		ACPI_DEBUG_PRINT ((ACPI_DB_ERROR,
+			"Null param: Node %p Name %X return_node %p\n",
 			node, target_name, return_node));
 
 		ACPI_REPORT_ERROR (("ns_search_and_enter: Null parameter\n"));
@@ -330,22 +334,20 @@
 	}
 
 	/*
-	 * The name was not found.  If we are NOT performing the
-	 * first pass (name entry) of loading the namespace, search
-	 * the parent tree (all the way to the root if necessary.)
-	 * We don't want to perform the parent search when the
-	 * namespace is actually being loaded.  We want to perform
-	 * the search when namespace references are being resolved
-	 * (load pass 2) and during the execution phase.
+	 * The name was not found.  If we are NOT performing the first pass
+	 * (name entry) of loading the namespace, search the parent tree (all the
+	 * way to the root if necessary.) We don't want to perform the parent
+	 * search when the namespace is actually being loaded.  We want to perform
+	 * the search when namespace references are being resolved (load pass 2)
+	 * and during the execution phase.
 	 */
 	if ((interpreter_mode != ACPI_IMODE_LOAD_PASS1) &&
 		(flags & ACPI_NS_SEARCH_PARENT)) {
 		/*
-		 * Not found at this level - search parent tree according
-		 * to ACPI specification
+		 * Not found at this level - search parent tree according to the
+		 * ACPI specification
 		 */
-		status = acpi_ns_search_parent_tree (target_name, node,
-				 type, return_node);
+		status = acpi_ns_search_parent_tree (target_name, node, type, return_node);
 		if (ACPI_SUCCESS (status)) {
 			return_ACPI_STATUS (status);
 		}
@@ -355,7 +357,8 @@
 	 * In execute mode, just search, never add names.  Exit now.
 	 */
 	if (interpreter_mode == ACPI_IMODE_EXECUTE) {
-		ACPI_DEBUG_PRINT ((ACPI_DB_NAMES, "%4.4s Not found in %p [Not adding]\n",
+		ACPI_DEBUG_PRINT ((ACPI_DB_NAMES,
+			"%4.4s Not found in %p [Not adding]\n",
 			(char *) &target_name, node));
 
 		return_ACPI_STATUS (AE_NOT_FOUND);
diff -Nru a/drivers/acpi/namespace/nsutils.c b/drivers/acpi/namespace/nsutils.c
--- a/drivers/acpi/namespace/nsutils.c	2004-11-10 23:41:02 -05:00
+++ b/drivers/acpi/namespace/nsutils.c	2004-11-10 23:41:02 -05:00
@@ -85,12 +85,14 @@
 	if (lookup_status == AE_BAD_CHARACTER) {
 		/* There is a non-ascii character in the name */
 
-		acpi_os_printf ("[0x%4.4X] (NON-ASCII)\n", *(ACPI_CAST_PTR (u32, internal_name)));
+		acpi_os_printf ("[0x%4.4X] (NON-ASCII)\n",
+			*(ACPI_CAST_PTR (u32, internal_name)));
 	}
 	else {
 		/* Convert path to external format */
 
-		status = acpi_ns_externalize_name (ACPI_UINT32_MAX, internal_name, NULL, &name);
+		status = acpi_ns_externalize_name (ACPI_UINT32_MAX,
+				 internal_name, NULL, &name);
 
 		/* Print target name */
 
@@ -141,7 +143,8 @@
 
 
 	if (path) {
-		status = acpi_ns_get_node_by_path (path, prefix_node, ACPI_NS_NO_UPSEARCH, &node);
+		status = acpi_ns_get_node_by_path (path, prefix_node,
+				 ACPI_NS_NO_UPSEARCH, &node);
 		if (ACPI_FAILURE (status)) {
 			acpi_os_printf ("report_method_error: Could not get node\n");
 			return;
@@ -180,7 +183,7 @@
 		return;
 	}
 
-	/* Convert handle to a full pathname and print it (with supplied message) */
+	/* Convert handle to full pathname and print it (with supplied message) */
 
 	buffer.length = ACPI_ALLOCATE_LOCAL_BUFFER;
 
@@ -324,13 +327,11 @@
 	info->fully_qualified = FALSE;
 
 	/*
-	 * For the internal name, the required length is 4 bytes
-	 * per segment, plus 1 each for root_prefix, multi_name_prefix_op,
-	 * segment count, trailing null (which is not really needed,
-	 * but no there's harm in putting it there)
+	 * For the internal name, the required length is 4 bytes per segment, plus
+	 * 1 each for root_prefix, multi_name_prefix_op, segment count, trailing null
+	 * (which is not really needed, but no there's harm in putting it there)
 	 *
-	 * strlen() + 1 covers the first name_seg, which has no
-	 * path separator
+	 * strlen() + 1 covers the first name_seg, which has no path separator
 	 */
 	if (acpi_ns_valid_root_prefix (next_external_char[0])) {
 		info->fully_qualified = TRUE;
@@ -347,10 +348,9 @@
 	}
 
 	/*
-	 * Determine the number of ACPI name "segments" by counting
-	 * the number of path separators within the string.  Start
-	 * with one segment since the segment count is (# separators)
-	 * + 1, and zero separators is ok.
+	 * Determine the number of ACPI name "segments" by counting the number of
+	 * path separators within the string. Start with one segment since the
+	 * segment count is [(# separators) + 1], and zero separators is ok.
 	 */
 	if (*next_external_char) {
 		info->num_segments = 1;
@@ -625,7 +625,8 @@
 			/* <count> 4-byte names */
 
 			names_index = prefix_length + 2;
-			num_segments = (acpi_native_uint) (u8) internal_name[(acpi_native_uint) (prefix_length + 1)];
+			num_segments = (acpi_native_uint) (u8)
+					   internal_name[(acpi_native_uint) (prefix_length + 1)];
 			break;
 
 		case AML_DUAL_NAME_PREFIX:
@@ -672,7 +673,7 @@
 	}
 
 	/*
-	 * Build converted_name...
+	 * Build converted_name
 	 */
 	*converted_name = ACPI_MEM_CALLOCATE (required_length);
 	if (!(*converted_name)) {
@@ -756,7 +757,7 @@
  *
  * PARAMETERS:  Node          - Node to be converted to a Handle
  *
- * RETURN:      An USER acpi_handle
+ * RETURN:      A user handle
  *
  * DESCRIPTION: Convert a real Node to a namespace handle
  *
@@ -976,7 +977,8 @@
 
 		parent_node = acpi_ns_get_parent_node (child_node);
 		if (parent_node) {
-			ACPI_DEBUG_PRINT ((ACPI_DB_EXEC, "Parent of %p [%4.4s] is %p [%4.4s]\n",
+			ACPI_DEBUG_PRINT ((ACPI_DB_EXEC,
+				"Parent of %p [%4.4s] is %p [%4.4s]\n",
 				child_node, acpi_ut_get_node_name (child_node),
 				parent_node, acpi_ut_get_node_name (parent_node)));
 
@@ -985,7 +987,8 @@
 			}
 		}
 
-		ACPI_DEBUG_PRINT ((ACPI_DB_EXEC, "unable to find parent of %p (%4.4s)\n",
+		ACPI_DEBUG_PRINT ((ACPI_DB_EXEC,
+			"Unable to find parent of %p (%4.4s)\n",
 			child_node, acpi_ut_get_node_name (child_node)));
 	}
 
@@ -1018,11 +1021,9 @@
 	}
 
 	/*
-	 * Walk to the end of this peer list.
-	 * The last entry is marked with a flag and the peer
-	 * pointer is really a pointer back to the parent.
-	 * This saves putting a parent back pointer in each and
-	 * every named object!
+	 * Walk to the end of this peer list. The last entry is marked with a flag
+	 * and the peer pointer is really a pointer back to the parent. This saves
+	 * putting a parent back pointer in each and every named object!
 	 */
 	while (!(node->flags & ANOBJ_END_OF_PEER_LIST)) {
 		node = node->peer;
@@ -1039,8 +1040,8 @@
  *
  * PARAMETERS:  Node       - Current table entry
  *
- * RETURN:      Next valid Node in the linked node list.  NULL if no more valid
- *              nodess
+ * RETURN:      Next valid Node in the linked node list. NULL if no more valid
+ *              nodes.
  *
  * DESCRIPTION: Find the next valid node within a name table.
  *              Useful for implementing NULL-end-of-list loops.
diff -Nru a/drivers/acpi/osl.c b/drivers/acpi/osl.c
--- a/drivers/acpi/osl.c	2004-11-10 23:41:02 -05:00
+++ b/drivers/acpi/osl.c	2004-11-10 23:41:02 -05:00
@@ -229,7 +229,7 @@
 
 	*new_val = NULL;
 	if (!memcmp (init_val->name, "_OS_", 4) && strlen(acpi_os_name)) {
-		printk(KERN_INFO PREFIX "Overriding _OS definition %s\n",
+		printk(KERN_INFO PREFIX "Overriding _OS definition to '%s'\n",
 			acpi_os_name);
 		*new_val = acpi_os_name;
 	}
@@ -306,10 +306,10 @@
  */
 
 void
-acpi_os_sleep(u32 sec, u32 ms)
+acpi_os_sleep(acpi_integer ms)
 {
 	current->state = TASK_INTERRUPTIBLE;
-	schedule_timeout(HZ * sec + (ms * HZ) / 1000);
+	schedule_timeout(((signed long) ms * HZ) / 1000);
 }
 
 void
@@ -326,6 +326,29 @@
 	}
 }
 
+/*
+ * Support ACPI 3.0 AML Timer operand
+ * Returns 64-bit free-running, monotonically increasing timer
+ * with 100ns granularity
+ */
+u64
+acpi_os_get_timer (void)
+{
+	static u64 t;
+
+#ifdef	CONFIG_HPET
+	/* TBD: use HPET if available */
+#endif
+
+#ifdef	CONFIG_X86_PM_TIMER
+	/* TBD: default to PM timer if HPET was not available */
+#endif
+	if (!t)
+		printk(KERN_ERR PREFIX "acpi_os_get_timer() TBD\n");
+
+	return(++t);
+}
+
 acpi_status
 acpi_os_read_port(
 	acpi_io_address	port,
@@ -1007,11 +1030,15 @@
 		printk(KERN_ERR PREFIX "Fatal opcode executed\n");
 		break;
 	case ACPI_SIGNAL_BREAKPOINT:
-		{
-			char *bp_info = (char*) info;
-
-			printk(KERN_ERR "ACPI breakpoint: %s\n", bp_info);
-		}
+		/*
+		 * AML Breakpoint
+		 * ACPI spec. says to treat it as a NOP unless
+		 * you are debugging.  So if/when we integrate
+		 * AML debugger into the kernel debugger its
+		 * hook will go here.  But until then it is
+		 * not useful to print anything on breakpoints.
+		 */
+		break;
 	default:
 		break;
 	}
@@ -1100,3 +1127,11 @@
 
 __setup("acpi_wake_gpes_always_on", acpi_wake_gpes_always_on_setup);
 
+/*
+ * acpi_cstate_limit is defined in the base kernel so modules can
+ * change it w/o depending on the state of the processor module.
+ */
+unsigned int acpi_cstate_limit = ACPI_C_STATES_MAX;
+
+
+EXPORT_SYMBOL(acpi_cstate_limit);
